Bug 438035 - DRM : Screen repaint issue or computer lockup with openchrome xorg driver
DRM : Screen repaint issue or computer lockup with openchrome xorg driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429289
  Show dependency treegraph
 
Reported: 2008-03-18 15:14 EDT by Xavier Bachelot
Modified: 2008-03-27 07:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 19:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-03-18 15:14:32 EDT
Description of problem:
Screen repaint issue or computer lockup with openchrome xorg driver if AGPDMA
option is enabled.

Version-Release number of selected component (if applicable):
kernel >= 2.6.21


How reproducible:
always

Steps to Reproduce:
1. use openchrome xorg driver on any VIA K8M800 or VM800 IGP (probably others too)
2. Enable the AGPDMA option (defaults on most chipsets)
3. use the computer and wait for the screen corruption or the crash
  
Actual results:
screen repaint issue or crash

Expected results:
works

Additional info:
Fixed in upstream kernel :
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=f0fb6d7798e7e2d1f37a2c15892910661bdaba55

Could this be backported to rawhide kernel and possibly F7 and F8 too ?
I link to a bug report that as not been closed, but it was confirmed to fix the
pb for several users in openchrome mailing lists.
Comment 1 Dave Airlie 2008-03-26 19:38:39 EDT
this should be fixed in rawhide now.
Comment 2 Xavier Bachelot 2008-03-27 07:36:03 EDT
Would it be possible to get this fixed in F7 and F8 too ?

Note You need to log in before you can comment on or make changes to this bug.